Bug 216699 - prevent a possible crash when dropping themes
prevent a possible crash when dropping themes
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: control-center (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: Desktop
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-21 11:33 EST by Matthias Clasen
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-04 00:27:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 352490 None None None Never

  None (edit)
Description Matthias Clasen 2006-11-21 11:33:02 EST
There is a possible crash in the theme capplet, when dropping invalid theme
tarballs onto it. The upstream bug http://bugzilla.gnome.org/show_bug.cgi?id=352490
has a lot of duplicates. While I have not been able to reproduce the crash myself,
the fix is obviously harmless and correct, and we should probably pull it in.

The patch is attached at
http://bugzilla.gnome.org/attachment.cgi?id=75503&action=view
and has been included upstream.
Comment 1 RHEL Product and Program Management 2006-11-21 11:40:32 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 2 Matthias Clasen 2006-11-22 17:50:23 EST
Fix included in control-center-2.16.0-13.el5
Comment 3 Yan Tian 2006-11-24 02:39:54 EST
Verified attached patch had been included in control-center-2.16.0-13.el5.
Comment 4 Xiaohong Wang 2006-12-04 00:27:43 EST
control-center-2.16.0-13.el5 has been included in RHEL5-Client-20061201.0, so
resolve this bug.

Note You need to log in before you can comment on or make changes to this bug.